<?php if (!defined('ABSPATH')) die(); 

	function DeactivateGutenberg_register_settings() { 
	   add_option( 'DeactivateGutenberg', 'Deactivate Gutenberg');
	   register_setting( 'myplugin_options_group', 'DeactivateGutenberg', 'myplugin_callback' );
	}
	add_action( 'admin_init', 'DeactivateGutenberg_register_settings' );

	function DeactivateGutenberg_register_options_page() {
	  add_options_page('Deactivate Gutenberg', 'Deactivate Gutenberg', 'manage_options', 'DeactivateGutenberg', 'DeactivateGutenberg_options_page');
	}
	add_action('admin_menu', 'DeactivateGutenberg_register_options_page');

	//add_filter( 'plugin_action_links_' . plugin_basename(__FILE__), 'DeactivateGutenberg_action_links' );

	function DeactivateGutenberg_action_links( $links ) {
	   $links[] = '<a href="'. esc_url( get_admin_url(null, 'options-general.php?page=DeactivateGutenberg') ) .'">Settings</a>';
	   return $links;
	}

	$DeactivateGutenberg =  get_option('DeactivateGutenberg');
	if($DeactivateGutenberg == 'on'){ 
		// disable for posts
		add_filter('gutenberg_can_edit_post', '__return_false', 10);

		// disable for post types
		add_filter('gutenberg_can_edit_post_type', '__return_false', 10);

		// disable for posts
		add_filter('use_block_editor_for_post', '__return_false', 10);

		// disable for post types
		add_filter('use_block_editor_for_post_type', '__return_false', 10);
	}
function DeactivateGutenberg_options_page()
{
	$DeactivateGutenberg =  get_option('DeactivateGutenberg');
	if($DeactivateGutenberg){
		$DeactivateGutenberg_select = 'checked';
	}else{
		$DeactivateGutenberg_select = '';
	}
?>
  <div>
	  <h2>Deactivate Gutenberg Setting</h2>
	  <form method="post" name="DeactivateGutenberg_form" action="options.php">
	  	<?php //wp_nonce_field( 'DeactivateGutenberg_form_submit', 'DeactivateGutenberg_form_nonce' ); ?>
	  	  <input type="hidden" name="nonce" value="<?php echo wp_create_nonce('DeactivateGutenberg')?>">
		  <?php settings_fields( 'myplugin_options_group' ); ?>
		  <h3>Deactivate Gutenberg</h3>
		  <p>You can Disable/enable setting here</p>
		  <table>
			  <tr valign="top">
			  	<th scope="row"><label for="DeactivateGutenberg">Disable Gutenberg Editor</label></th>
			  	<td><input type="checkbox" id="DeactivateGutenberg" name="DeactivateGutenberg"  <?php echo $DeactivateGutenberg_select;  ?> /></td>
			  </tr>
		  </table>
		  <?php  submit_button(); ?>
	  </form>
  </div>
<?php
	//if(check_admin_referer( 'DeactivateGutenberg_form_submit', 'DeactivateGutenberg_form_nonce' )){
		if(isset($_POST['DeactivateGutenberg_form']) && isset($_POST['nonce']) &&wp_verify_nonce($_POST['nonce'])){
			if(isset($_POST['DeactivateGutenberg']) && !empty($_POST['DeactivateGutenberg'])){
				$_POST['DeactivateGutenberg'] = filter_var($_POST['DeactivateGutenberg'], FILTER_SANITIZE_STRING);
				update_option( 'DeactivateGutenberg', sanitize_text_field($_POST['DeactivateGutenberg']));
			}
		}
	//}
} 
?>